# type_traits File Reference

Go to the source code of this file.

## Classes

- struct std::add_lvalue_reference< _Tp >
    add_lvalue_reference More...
- struct std::add_rvalue_reference< _Tp >
    add_rvalue_reference More...
- struct std::is_lvalue_reference< typename >
    is_lvalue_reference More...
- struct std::is_reference< _Tp >
    is_reference More...
- struct std::is_rvalue_reference< typename >
    is_rvalue_reference More...
- struct std::remove_reference< _Tp >
    remove_reference More...

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_TYPE_TRAITS

## Detailed Description

This is a Standard C++ Library header.

Definition in file type_traits.